Spaces method and path for this operation:
post /s/{space_id}/api/data_views/data_view/{viewId}
Refer to Spaces for more information.
Update an existing data view. Only the fields provided in the request body are updated.
POST
/api/data_views/data_view/{viewId}
curl
curl \
-X POST "${KIBANA_URL}/api/data_views/data_view/${DATA_VIEW_ID}" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{"data_view":{"name":"Updated data view name"}}'
POST kbn://api/data_views/data_view/{viewId}
{"data_view":{"name":"Updated data view name"}}
Request example
Update the title, time field, and other properties of an existing data view.
{
"data_view": {
"allowNoIndex": false,
"name": "Kibana Sample Data eCommerce",
"timeFieldName": "order_date",
"title": "kibana_sample_data_ecommerce"
},
"refresh_fields": true
}